[Lockscreen] enabling/disabling passcode will not take effect until device is restarted

VERIFIED FIXED in Firefox OS master

Status

VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: AdamA, Assigned: gweng)

Tracking

({smoketest})

unspecified
FxOS-S4 (07Aug)
ARM
Gonk (Firefox OS)
smoketest
Dependency tree / graph

Firefox Tracking Flags

(blocking-b2g:2.5?, b2g-v2.2 unaffected, b2g-master verified)

Details

(Whiteboard: [Spark][dogfood-blocker], URL)

Attachments

(2 attachments, 2 obsolete attachments)

(Reporter)

Description

3 years ago
Created attachment 8641216 [details]
logcat

Description:
If the user goes into the settings app and sets a lockscreen passcode then locks the phone and unlocks it they will not be asked for the passcode. they will have to restart the device before it is enabled or disabled.


Repro Steps:
1) Update a Aries to 20150730145424
2) Open Settings > Screen Lock
3) Turn on and set a lockscreen passcode
4) Lock the phone
5) Unlock the phone
6) Observe lockscreen passcode presence

Actual:
The lockscreen passcode will not appear or disappear until the device is restarted

Expected:
It is expected that the passcode will be turned off or and on in settings

Environmental Variables:
Device: Aries 2.5 [Full Flash]
Build ID: 20150730145424
Gaia: 1d3595836bd55b70478923d771051268a5dabf91
Gecko: 305ba37a62f8
Gonk: 2916e2368074b5383c80bf5a0fba3fc83ba310bd
Version: 42.0a1 (2.5)
Firmware Version: D5803_23.1.A.1.28_NCB.ftf
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

Repro frequency: 10/10
Link to failed test case:  https://moztrap.mozilla.org/manage/case/2460/
See attached: video clip(https://youtu.be/H6vw7kA-se0), logcat
(Reporter)

Comment 1

3 years ago
This issue DOES occur on Flame 2.5.

Environmental Variables:
Device: Flame 2.5 [Full Flash]
BuildID: 20150730030209
Gaia: bf8565e0c3ad216ccb3f109c17f8a2eb2c42f6b8
Gecko: 62469b20ec84
Gonk: 41d3e221039d1c4486fc13ff26793a7a39226423
Version: 42.0a1 (2.5) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

Result:
The lockscreen passcode will not appear or disappear until the device is restarted
------------------------------
This issue DOES NOT occur on Flame 2.2.

Environmental Variables:
Device: Flame 2.2 [Full Flash]
BuildID: 20150730032503
Gaia: 8f3749f875c5ed155ccbd630aa2ee4e8bc2a9400
Gecko: e2a82fd90bc5
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 37.0 (2.2) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

Result:
The passcode is turned on and off in settings.
Blocks: 1171119
QA Whiteboard: [QAnalyst-Triage?]
status-b2g-v2.2: --- → unaffected
status-b2g-master: --- → affected
Flags: needinfo?(pbylenga)
Keywords: qaurgent, regression, regressionwindow-wanted, smoketest
Whiteboard: [Spark]
[Blocking Requested - why for this release]:
Functional regression failing smoke tests.
blocking-b2g: --- → 2.5?
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(pbylenga)
Whiteboard: [Spark] → [Spark][dogfood-blocker]
QA Contact: pcheng
Note: Prerequisite for this bug is rebooting the device. The bug will start to reproduce once it has been rebooted after flashing.

b2g-inbound regression window:

Last Working
Device: Flame
BuildID: 20150729025342
Gaia: 4e1638e910f1657a9e940c99cb3421dbb71411e6
Gecko: b476e6bd9f1c
Gonk: 41d3e221039d1c4486fc13ff26793a7a39226423
Version: 42.0a1 (2.5 Master) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

First Broken
Device: Flame
BuildID: 20150729031841
Gaia: b066d68030dac08cb545b37195bcab67593f365b
Gecko: e7454992d521
Gonk: 41d3e221039d1c4486fc13ff26793a7a39226423
Version: 42.0a1 (2.5 Master) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

Last Working Gaia First Broken Gecko - no repro
Gaia: 4e1638e910f1657a9e940c99cb3421dbb71411e6
Gecko: e7454992d521

Last Working Gecko First Broken Gaia - repro
Gaia: b066d68030dac08cb545b37195bcab67593f365b
Gecko: b476e6bd9f1c

Gaia pushlog:
https://github.com/mozilla-b2g/gaia/compare/4e1638e910f1657a9e940c99cb3421dbb71411e6...b066d68030dac08cb545b37195bcab67593f365b

Caused by changes made in Bug 1173284.
Blocks: 1173284
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Keywords: qaurgent, regressionwindow-wanted
Greg, can you take a look at this please? This looks to have been caused by the landing for bug 1173284.
Flags: needinfo?(ktucker) → needinfo?(gweng)
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
CR and I spoke about this bug.  We both thought the current situation of having to reboot the device is better than having the security issue that the patch tried to resolve.

I'm thinking we also have to reevaluate when we're doing backouts to figuring out which break is worse.  The break that the patch is resolving or the regression that it causes.
(Assignee)

Comment 6

3 years ago
Got it. Patch is on the way.
Created attachment 8641444 [details] [review]
[gaia] snowmantw:bug1189455 > mozilla-b2g:master
(Assignee)

Comment 8

3 years ago
Created attachment 8641445 [details] [review]
Patch

Tim: it's a mistake happened in our last review. The 'on-' methods need to decide if the 'input' value should be registered as a 'inner states' like this, or it is just an one-time event and nothing need to be remembered, just like the 'homebutton-pressed' event.
Flags: needinfo?(gweng)
Attachment #8641445 - Flags: review?(timdream)
(Assignee)

Comment 9

3 years ago
I also recorded a video to show this bug is solved by the patch, and it keeps what fixed at Bug1173284.
Assignee: nobody → gweng
Comment on attachment 8641445 [details] [review]
Patch

Sorry for the delay. Please ping to me in person if a smoketest blocker need my urgent review.
Attachment #8641445 - Flags: review?(timdream) → review+
Created attachment 8642882 [details] [review]
[gaia] snowmantw:bug1189455-rev2 > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Attachment #8641445 - Attachment is obsolete: true
(Assignee)

Updated

3 years ago
Attachment #8641444 - Attachment is obsolete: true
(Assignee)

Comment 13

3 years ago
Comment on attachment 8642882 [details] [review]
[gaia] snowmantw:bug1189455-rev2 > mozilla-b2g:master

Tim: sorry I set the review again. In this version I've updated the patch to solve it more completely. It is necessary since at Bug 1173284 I moved unlocking controller from LockScreen to the states and state manager, but it should consider more than that patch. That's because at that bug I'm fighting against the racing and the discussion more, so I missed to test this part.
Attachment #8642882 - Flags: review?(timdream)
Attachment #8642882 - Flags: review?(timdream) → review+
(Assignee)

Updated

3 years ago
Keywords: checkin-needed
https://github.com/mozilla-b2g/gaia/commit/a8d618f18ae377ff1a03ce35c98f7e3338e0ec42
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Keywords: checkin-needed
Resolution: --- → FIXED

Updated

3 years ago
Target Milestone: --- → FxOS-S4 (07Aug)
This bug has been verified as "pass" on latest Nightly build of Flame v2.2/master and Nexus5 v2.2/master by the STR in Comment 0.

Actual results:The passcode is turned off or on in settings.

See attachment: Aries v2.5.3gp

Reproduce rate: 0/5

Device: Aries KK 2.5(Pass)
Build ID               20150810003528
Gaia Revision          09dea2d5ff21cdb56da35fe4aa5bf4c90cf1da7f
Gaia Date              2015-08-09 17:11:47
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0e269a1f1beb
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150810.000017
Firmware Date          Mon Aug 10 00:00:24 UTC 2015
Bootloader             s1

Device: Flame KK 2.2(Pass)
9Build ID               20150809032505
Gaia Revision          102f1299e9eafe3760e1deb44d556b5c4f36b5af
Gaia Date              2015-08-06 20:46:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/da29b5af4232
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150809.065320
Firmware Date          Sun Aug  9 06:53:31 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK v2.5(Pass):
Build ID               20150809150206
Gaia Revision          3e5271663e7ef26290c29a45d2e42c0d3c20fe04
Gaia Date              2015-08-08 21:13:59
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/fd69d51a4068
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150809.182413
Firmware Date          Sun Aug  9 18:24:24 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
status-b2g-master: affected → verified
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+][MGSEI-Triage+]
Keywords: regression
You need to log in before you can comment on or make changes to this bug.